Package org.springframework.security.web.webauthn.authentication

# Class WebAuthnAuthenticationRequestToken

java.lang.Object
org.springframework.security.authentication.AbstractAuthenticationToken
org.springframework.security.web.webauthn.authentication.WebAuthnAuthenticationRequestToken

All Implemented Interfaces:
  `Serializable`, `Principal`, `org.springframework.security.core.Authentication`, `org.springframework.security.core.CredentialsContainer`

public class WebAuthnAuthenticationRequestToken extends org.springframework.security.authentication.AbstractAuthenticationToken
An `Authentication` used in `WebAuthnAuthenticationProvider` for authenticating via WebAuthn.

Since:
  6.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnAuthenticationRequestToken(RelyingPartyAuthenticationRequest webAuthnRequest)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCredentials()`
`Object`
`getPrincipal()`
`RelyingPartyAuthenticationRequest`
`getWebAuthnRequest()`
Gets the `RelyingPartyAuthenticationRequest`
`void`
`setAuthenticated(boolean authenticated)`

### Methods inherited from class org.springframework.security.authentication.AbstractAuthenticationToken

`equals, eraseCredentials, getAuthorities, getDetails, getName, hashCode, isAuthenticated, setDetails, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### WebAuthnAuthenticationRequestToken

public WebAuthnAuthenticationRequestToken(RelyingPartyAuthenticationRequest webAuthnRequest)
Creates a new instance.

Parameters:
  `webAuthnRequest` - the `RelyingPartyAuthenticationRequest` to use for authentication. Cannot be null.

## Method Details

### getWebAuthnRequest

public RelyingPartyAuthenticationRequest getWebAuthnRequest()
Gets the `RelyingPartyAuthenticationRequest`

Returns:
  the `RelyingPartyAuthenticationRequest`

### setAuthenticated

public void setAuthenticated(boolean authenticated)

Specified by:
  `setAuthenticated` in interface `org.springframework.security.core.Authentication`
Overrides:
  `setAuthenticated` in class `org.springframework.security.authentication.AbstractAuthenticationToken`

### getCredentials

public Object getCredentials()

### getPrincipal

public Object getPrincipal()